## GocGraph

GocGraph — Graph.

## Properties

GogGraph * | graph | Write
double | height | Read / Write
GogRenderer * | renderer | Read / Write
double | width | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

| GocGraph
typedef | GocGraphClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocGraph

## Description

GocLine implements GogGraph embedding in the canvas.

## Functions

## Types and Values

### GocGraph

    typedef struct _GocGraph GocGraph;

### GocGraphClass

    typedef GocItemClass GocGraphClass;

## Property Details

### The `“graph”` property

      “graph”                    GogGraph *

The GogGraph this object displays.

Owner: GocGraph

Flags: Write

### The `“height”` property

      “height”                   double

Height.

Owner: GocGraph

Flags: Read / Write

Allowed values: >= 0

Default value: 100

### The `“renderer”` property

      “renderer”                 GogRenderer *

The GogRenderer being displayed.

Owner: GocGraph

Flags: Read / Write

### The `“width”` property

      “width”                    double

Width.

Owner: GocGraph

Flags: Read / Write

Allowed values: >= 0

Default value: 100

### The `“x”` property

      “x”                        double

The graph left position.

Owner: GocGraph

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The graph top position.

Owner: GocGraph

Flags: Read / Write

Default value: 0